# enaml.widgets.ipython_console

Classes

`IPythonConsole` | A widget which hosts an embedded IPython console.

class enaml.widgets.ipython_console.IPythonConsole(parent=None, **kwargs)

  Bases: `Control`

  A widget which hosts an embedded IPython console.

  initial_ns

    The initial namespace to apply to the console. Runtime changes to this value will be ignored. Use ‘update_ns’ to add variables to the console at runtime.

  exit_requested

    An event fired when the user invokes a console exit command.

  hug_width

    The ipython console expands freely by default.

  hug_height

    How strongly a widget hugs it’s height hint. This is equivalent to the constraint:

        (height == hint) | hug_height

  proxy

    A reference to the ProxyIPythonConsole object.

  get_var(name, default=None)

    Get a variable from the console namespace.

    Parameters:

      - name (basestring) – The name of the variable to retrieve.

      - default (object, optional) – The value to return if the variable does not exist. The default is None.

    Returns:

      result – The variable in the namespace, or the provided default.

    Return type:

      object

  update_ns(**kwargs)

    Update the variables in the console namespace.

    Parameters:

      **kwargs – The variables to update in the console namespace.

  activated

    An event fired when an object’s proxy is activated. It is triggered once during the object lifetime, at the end of the activate_proxy method.

  background

    The background color of the widget.

  destroyed

    An event fired when an object has been destroyed. It is triggered once during the object lifetime, just before the object is removed from the tree structure.

  enabled

    Whether or not the widget is enabled.

  initialized

    An event fired when an object is initialized. It is triggered once during the object lifetime, at the end of the initialize method.

  name

    Export the ‘name’ attribute as a declarative member.

  style_class

    The style class to which this item belongs. Multiple classes can be separated with whitespace. An empty string indicates the widget does not belong to any style class.